Name:           libgnomecanvasmm20
Version:        2.0.1
Release:        0.fdr.1.2
Epoch:          0
Summary:        A C++ interface for Gnome libs (a GUI library for X).

Group:          System Environment/Libraries
License:        LGPL
URL:            http://gtkmm.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/libgnomecanvasmm/2.0/libgnomecanvasmm-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  gtkmm20-devel >= 0:2.2.5
BuildRequires:  libgnomecanvas-devel >= 0:1.113.0
Buildrequires:  libtool
Obsoletes:      libgnomecanvasmm2
Patch0:         libgnomecanvasmm-2.0.1-gcc34.patch

%description
This package provides a C++ interface for GnomeUI.  It is a subpackage
of the gnomemm project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented 
framework.

%package devel
Summary:        Headers for developing programs that will use libgnomecanvasmm.
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       gtkmm20-devel
Requires:       libgnomecanvas-devel
Obsoletes:      libgnomecanvasmm2-devel

%description devel
This package contains the headers that programmers will need to
develop applications which will use libgnomecanvasmm, part of gnomemm
- the C++ interface to the GTK+ GUI library.


%prep
%setup -q -n libgnomecanvasmm-%{version}
%patch0 -p1

%build
aclocal -I scripts
libtoolize -c -f
automake -a -c -f
autoconf
%configure --enable-static --enable-shared
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
%doc %{_datadir}/doc/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/libgnomecanvasmm-2.0
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Aug 21 2004 Denis Leroy <denis@poolshark.org> - 0:2.0.1-0.fdr.1
- Switched to bz2
- Changed suffix to 20, added Obsolete tag

* Sun Nov 1  2003 Michael Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.2
- Fixed Dependencies
- setup -q

* Sat Oct 18 2003 Michael Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.1
- Initial RPM creation
